package org.hso.ecommerce.app;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

import org.hso.ecommerce.components.LoginIntercepter;
import org.hso.ecommerce.components.ErrorDemoInterceptor;

@Configuration
public class Config implements WebMvcConfigurer {

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(new LoginIntercepter());
        registry.addInterceptor(new ErrorDemoInterceptor());
    }
}
